Page MenuHomePhabricator

Interwiki prefixes that end in a URL protocol cannot be used as link= for file inclusions
Closed, ResolvedPublic

Description

Intention:
In Italian projects links to "wikinews:" do not work for images, "n:en:" is ok. Links [[wikinews:]] or [[n:en:]] are always ok.

Steps to Reproduce:

  1. [[File:prova.jpg|link=wikinews:]] creates a link to the IMAGE PAGE, not to the English version of wikinews.
  2. [[File:prova.jpg|link=n:en:]] creates a link to the English version of wikinews.
  3. [[wikinews:]] or [[n:en:]] both create a link to the English version of wikinews.

Reproducible: Always


Version: 1.24rc
Severity: minor
URL: https://it.wikipedia.org/wiki/Wikipedia:Pagina_delle_prove

Details

Reference
bz69317

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:33 AM
bzimport set Reference to bz69317.
FRacco created this task.Aug 9 2014, 1:03 AM

Could you provide a specific example for what's not working, plus the expected and the actual outcome? Thanks!

TTO added a comment.Aug 16 2014, 11:49 AM

This is a strange bug. There appears to be some kind of conflict between the URL protocol "news:" and the interwiki prefix "wikinews".

If I define an interwiki prefix "foomagnet" (note that "magnet:" is a valid URL protocol in MediaWiki by default) then the same behaviour is seen on [[File:Prova.jpg|link=foomagnet:]].

Possibly the code that is supposed to prevent external links being used in the link= parameter is a bit overzealous.

Change 154399 had a related patch set uploaded by TTO:
Fix URL protocol detection regex for file link= parameter

https://gerrit.wikimedia.org/r/154399

  • Bug 69486 has been marked as a duplicate of this bug. ***

Change 154399 merged by jenkins-bot:
Fix URL protocol detection regex for file link= parameter

https://gerrit.wikimedia.org/r/154399

Change 154844 had a related patch set uploaded by Bartosz Dziewoński:
Fix URL protocol detection regex for file link= parameter

https://gerrit.wikimedia.org/r/154844

Change 154845 had a related patch set uploaded by Bartosz Dziewoński:
Fix URL protocol detection regex for file link= parameter

https://gerrit.wikimedia.org/r/154845

Change 154845 merged by jenkins-bot:
Fix URL protocol detection regex for file link= parameter

https://gerrit.wikimedia.org/r/154845

Change 154844 merged by jenkins-bot:
Fix URL protocol detection regex for file link= parameter

https://gerrit.wikimedia.org/r/154844

Fixed and deployed. Thanks everyone.